Subject: Re: [Cbe-oss-dev] Export DCR symbols - resubmitting

From: Arnd Bergmann <[email-masked]>
Date: Wed, 8 Aug 2007 23:58:03 +0200

On Wednesday 08 August 2007, Murali Iyer wrote:
> This patch is needed in order to compile kernel modules that uses some
> of the DCR functions. For example, compiling powerpc emac driver as
> module it is needed.

Ok, thanks!

> Arnd, Dennis Spathis pinged me about this today and I thought it was a
> closed issue but still open. If you find it okay please upstream it or
> let me know if any modifications needed. Thanks.

Paul, please apply in either for-2.6.24 or as a fix for 2.6.23. The patch
is obviously correct, as the now exported functions were meant to be
used by modules in the first place. No code in the kernel currently
uses it, so it's not urgent.

> Signed-off-by: Murali Iyer <[email-masked]>

Acked-by: Arnd Bergmann <[email-masked]>